@echo off

set ProductName=PLMPerformanceAnalytics
set ProductNameShort=PLMPerf
set PPA_VerFull=4.2000.2511.2025
set PPA_VerNumber=4.2000
set PPA_VerYear=2025
set PPA_VerDate=25.11.2025
set PPA_VerDateTime=25.11.2025 12:06
set PPA_VerNumLdir=4.2000-2025-11-25-1206
set PPA_ReleaseByUserNameShort=J.Fes

rem exit if no print
if /I "%~2" neq "" goto :next
if /I "%~1" neq "" goto :eof

title %ProductName% Ver.:[%PPA_VerFull%] Date:[%PPA_VerDateTime%]
color E0
:next

Echo %ProductName% Versions Info: [(c) addPLM GmbH 2005..%PPA_VerYear%]
ECHO ---------------------------------------------------------
ECHO Version Full....................: %PPA_VerFull%
ECHO Version Number..................: %PPA_VerNumber%
ECHO Release Date/Time...............: %PPA_VerDateTime%
ECHO Release by......................: addPLM / %PPA_ReleaseByUserNameShort%
ECHO PPA_VerNumLdir...............: %PPA_VerNumLdir%
if /I "%~2" equ "" Pause
